Check if table is view

- « Table::insert

- Table::select »

- PHP Manual
- mysql_xdevapi\Table
- Check if table is view

# Table::isView

(No version information available, might only be in Git)

Table::isView — Check if table is view

### Description

public mysql_xdevapi\Table::isView(): bool

Determine if the underlying object is a view or not.

### Parameters

This function has no parameters.

### Return Values

`true` if the underlying object is a view, otherwise `false`.

### Examples

Example #1 mysql_xdevapi\Table::isView() example

    <?php
    $session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");

    $session->sql("DROP DATABASE IF EXISTS addressbook")->execute();
    $session->sql("CREATE DATABASE addressbook")->execute();
    $session->sql("CREATE TABLE addressbook.names(name text, age int)")->execute();
    $session->sql("INSERT INTO addressbook.names values ('John', 42), ('Sam', 33)")->execute();

    $schema = $session->getSchema("addressbook");
    $table  = $schema->getTable("names");

    if ($table->isView()) {
        echo "This is a view.";
    } else {
        echo "This is not a view.";
    }
    ?>

The above example will output:

    This is not a view.